<?
include '../config.php';
include '../func.php';
head();
ban();

/////////////////////////////

if ( $id_session )
mysql_query("UPDATE `profile` SET `online` = 'forum' WHERE `id` = '".$id_session."'");

if (! $id_session ) {
    echo head . "<b>Пишем пост...</b>" . div;  
    echo link2 . 'Вы не авторизованы' . div;
    
pod_navig();
foot();
exit();
}

if ( $kik_session > time()) {
    echo katalog;
    echo 'Вы заблокированы. По причине: '.$whykik_session.', администратором/модератором: '.user($whokik_session).'. Осталось ждать: '.t($kik_session-time()).'<br/>';
    navig();
    foot();
    exit();
}

$theme = mysql_fetch_assoc(mysql_query("SELECT * FROM `forum_themes` WHERE `id` = '".num($_GET['theme'])."'"));
$user = mysql_fetch_assoc(mysql_query("SELECT * FROM `profile` WHERE `id` = '".num($_GET['user'])."'"));

echo "<div class=\"head\">Пишем в теме <b>".$theme['name']."</b></div>" . au;  

if ( $theme['status'] == 0 ) {
    
if ( empty ( $theme['id'] ) ) {
    
    echo 'Данной темы не существует.<br/>';
    pod_navig();
    foot();
    exit();
    
}

if ( empty ( $user['id'] ) ) {
    
    echo 'Данного пользователя не существует.<br/>';
    pod_navig();
    foot();
    exit();
    
}

if ($_GET['mod'] == 'post') {
    
    
    $msg = mysql_fetch_assoc(mysql_query("SELECT * FROM `forum_msg` WHERE `id` = '".num($_GET['post'])."'"));
    $u = mysql_fetch_assoc(mysql_query("SELECT * FROM `profile` WHERE `id` = '".num($msg['user_id'])."'"));
    
    $msg = '[cit]'.$u['login'].', '.$msg['msg'].'[/cit]';
}

if ( empty ($_POST['submit']) ) {
    
    echo '<form action="inslide.php?theme='.$theme['id'].'&user='.$user['id'].'" method="post" name="form">';
echo '<b>Пост:</b> [max 5000]<br/>';

if ($_GET['mod'] != 'post')
echo '<textarea id="tarea" name="msg" cols="30" rows="5" style="width: 99%;">'.$user['login'].', </textarea><br/>';
else
echo '<textarea id="tarea" name="msg" cols="30" rows="5" style="width: 99%;">'.$msg.'</textarea><br/>';


echo '<input name="submit" type="submit" class="button" value="Написать" /></form><br/><br/>';

echo "<a href=\"../".$user['id']."\">Анкета <b>".$user['login']."</b></a><br/>";

echo "<a href=\"../smiles.php?\">Смайлы</a>" . div;


} else {
    
    $theme1 = $theme['id'];
    $msg = html( $_POST['msg'] );
    $user = $id_session;
    

    $c = mysql_fetch_assoc(mysql_query("SELECT * FROM `forum_themes` WHERE `id` = '".$theme1."'"));

    if ( $c == 0 ) $err = 'Вы пытаетесь написать сообщение в несуществующей теме.<br/>'; 
    if ( empty( $msg ) ) $err = 'Вы не ввели сообщение.<br/>';  
    if ( strlen ( $msg ) > 5000 ) $err = 'Слишком длинное сообщение.<br/>';
 
    if ( $err ) {
        
        echo '<b>Ошибка:</b> '.$err.'';
        
    } else {
        if ($theme['privat'] == 1) {
        $msg1 = 'В вашей теме: <b><a href="forum/theme.php?razdel='.$th['razdel_id'].'&pod_forum='.$th['pod_forum'].'&theme='.$th['id'].'">'.$th['name'].'</a></a> ответили.';
        mysql_query("INSERT INTO `uvedom` SET  `msg` = '".$msg1."', `md` = 'forum_privat', `user_to` = '".$th['user_id']."', `user_ot` = '".$id_session."', `date` = '".time()."', `status` = '1'");
        }   
        $result = mysql_query("INSERT INTO `forum_msg` SET  `msg` = '".$msg."',  `theme` = '".$theme1."', `user_id` = '".$user."', `date` = '".time()."'");
        mysql_query("UPDATE `forum_themes` SET `time` = '".time()."' WHERE `id` = '".$theme1."'");
        if (mysql_result(mysql_query("SELECT COUNT(*) FROM `forum_msg` WHERE `theme` = '".$theme1."'"),0) >=30)
        mysql_query("UPDATE `profile` SET `akt_rating` = '".($akt_session+0.8)."' WHERE `id` = '".$id_session."' LIMIT 1");
        else
        mysql_query("UPDATE `profile` SET `akt_rating` = '".($akt_session+0.1)."' WHERE `id` = '".$id_session."' LIMIT 1");        
        if ( $result == 1 ) {
            
            header('Location: theme.php?razdel='.$theme[razdel_id].'&pod_forum='.$theme['pod_forum'].'&theme='.$theme['id'].'');
            echo 'Сообщение успешно добавлено<br/>';
            
        } else {
            
            echo 'Ошибка при написании сообщении<br/>';
            
        }
        
    }

}

} else {
    
    echo link2 . 'Данная тема закрыта для обсуждения' . div;
    
}

echo '</div>';
pod_navig();
foot();
?>